#requirements
{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

/* Configure the size of the metamask fox. */
#requirements > img
{
	width: 6rem;
	height: 6rem;
}

#requirements > ul
{
	width: 100%;
	height: 50%;
	position: relative;
	display: flex;
	justify-content: center;
}

#requirements > ul > li
{
	width: 100%;
	max-width: 50ex;
	padding: 2rem;
	margin: auto;
	position: absolute;

	visibility: hidden;
	z-index: -1;
}

/* Show pending requirements, and layer them at the top. */
#requirements > ul > li.pending
{
	visibility: visible;
	z-index: 1;
}

/* Make the requirement buttons big, bold and impactful. */
#requirements > ul > li > button
{
	width: 100%;
	padding: 2rem;

	font-size: calc(3.0 * var(--space-huge));
	line-height: calc(2.75 * var(--space-huge));

	color: var(--disabled-text);

	background-color: var(--disabled-color);
	border-radius: 1rem;
	border-width: 0;

	box-shadow: 0rem var(--shadow-position) var(--shadow-blur) var(--shadow-color);
}

/* Make the button subtext smaller, and take up its own line. */
#requirements > ul > li > button > small
{
	display: inline-block;
	width: 100%;

	font-size: calc(1.5 * var(--space-huge));
}

/* Colorize pending request buttons. */
#requirements > ul > li.pending > button
{
	color: var(--text);
	background-color: var(--primary-focus);
}
#requirements > ul > li.pending > button > small
{
	color: var(--text-muted);
}

#unlockWallet > button
{
	border-radius: 0 !important;
	color: var(--foreground) !important;
	background-color: var(--background) !important;
}
